Package com.google.protobuf

# Interface Internal.FloatList

All Superinterfaces:
  `Collection<Float>`, `Internal.ProtobufList<Float>`, `Iterable<Float>`, `List<Float>`, `RandomAccess`, `SequencedCollection<Float>`

Enclosing class:
  `Internal`

public static interface Internal.FloatList extends Internal.ProtobufList<Float>
A `List` implementation that avoids boxing the elements into Floats if possible. Does not support null elements.

## Method Summary

Modifier and Type
Method
Description
`void`
`addFloat(float element)`
Like `List.add(Object)` but more efficient in that it doesn't box the element.
`float`
`getFloat(int index)`
Like `List.get(int)` but more efficient in that it doesn't box the returned value.
`Internal.FloatList`
`mutableCopyWithCapacity(int capacity)`
Returns a mutable clone of this list with the specified capacity.
`float`
`setFloat(int index, float element)`
Like `List.set(int, Object)` but more efficient in that it doesn't box the element.

### Methods inherited from interface java.util.Collection

`parallelStream, removeIf, stream, toArray`

### Methods inherited from interface com.google.protobuf.Internal.ProtobufList

`isModifiable, makeImmutable`

### Methods inherited from interface java.lang.Iterable

`forEach`

### Methods inherited from interface java.util.List

`add, add, addAll, addAll, addFirst, addLast, clear, contains, containsAll, equals, get, getFirst, getLast, hashCode, indexOf, isEmpty, iterator, lastIndexOf, listIterator, listIterator, remove, remove, removeAll, removeFirst, removeLast, replaceAll, retainAll, reversed, set, size, sort, spliterator, subList, toArray, toArray`

## Method Details

### getFloat

float getFloat(int index)
Like `List.get(int)` but more efficient in that it doesn't box the returned value.

### addFloat

void addFloat(float element)
Like `List.add(Object)` but more efficient in that it doesn't box the element.

### setFloat

@CanIgnoreReturnValue float setFloat(int index, float element)
Like `List.set(int, Object)` but more efficient in that it doesn't box the element.

### mutableCopyWithCapacity

Internal.FloatList mutableCopyWithCapacity(int capacity)
Returns a mutable clone of this list with the specified capacity.

Specified by:
  `mutableCopyWithCapacity` in interface `Internal.ProtobufList<Float>`